Update an entity collection

This method updates the specified entity collection.

Authentication

x-api-keystring
Your API key. <Note title="Note"> You can find your API key on the <a href="https://playground.twelvelabs.io/dashboard/api-keys" target="_blank">API Keys</a> page. </Note>

Path parameters

entity_collection_idstringRequired
The unique identifier of the entity collection to update.

Request

This endpoint expects an object.
namestringOptional
The updated name of the entity collection.
descriptionstringOptional
The updated description of the entity collection.

Response

The entity collection has been successfully updated.
_idstring
The unique identifier of the entity collection.
namestring
The name of the entity collection.
descriptionstring
The description of the entity collection.
created_atstringformat: "date-time"

The date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity collection was created.

updated_atstringformat: "date-time"

The date and time, in RFC 3339 format (“YYYY-MM-DDTHH:mm:ssZ”), when the entity collection was last updated.

Errors

400
Bad Request Error